package com.ruoyi.web.app;

import com.ruoyi.bst.fault.domain.FaultVO;
import com.ruoyi.bst.fault.service.FaultService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 用户查询自己提交的故障信息
 */
@RestController
@RequestMapping("/app/fault")
public class AppFaultController {

    @Autowired
    private FaultService  faultService;

    @GetMapping("/{id}")
    public AjaxResult get(@PathVariable Long id) {
        Long userId = SecurityUtils.getLoginUser().getUserId();
        // 当用户查询的故障信息是自己的或当前用户是超级管理员时
        if (userId.equals(id)|| userId == 1){
            FaultVO faultVO = faultService.selectFaultById(id);
            return AjaxResult.success(faultVO);
        }
        return AjaxResult.error("您的查询不合法！");
    }
}
